FC = gfortran
FCFLAGS = -fPIC -Wall -O3 -Wextra -Wunused-variable


func: func.f90
	$(FC) -c $(FCFLAGS) -o func.o func.f90

gaussjordan: gaussjordan.f90
	$(FC) -c $(FCFLAGS) -o gaussjordan.o gaussjordan.f90

newton: newton.f90
	$(FC) -c $(FCFLAGS) -fbackslash -o newton.o newton.f90

main: main.f90
	$(FC) -c $(FCFLAGS) -o main.o main.f90


all: func gaussjordan newton main
	$(FC) $(FCFLAGS) func.o gaussjordan.o newton.o main.o -o rooter


clean:
	rm *.o ||:
	rm *.mod ||:
	rm rooter ||:
